Resource Query - Query Resources

Query Power Platform resources.
Executes a KQL query against Azure Resource Graph with ARG paging.

POST https://api.powerplatform.com/resourcequery/resources/query?api-version=2024-10-01

URI Parameters

Name In Required Type Description
api-version
query True

string

The API version.

Request Body

Name Required Type Description
Clauses True

Clause[]

Ordered list of query clauses; evaluated in order

TableName True

string

Target table/resource set (e.g., "PowerPlatformResources")

Options

ResourceQueryRequestOptions

Responses

Name Type Description
200 OK

ResourceQueryResponse

Successful query execution

400 Bad Request

Bad Request – invalid query specification

401 Unauthorized

Unauthorized – missing/invalid credentials

429 Too Many Requests

Too Many Requests – ARG throttling

500 Internal Server Error

Internal Server Error

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
ResourceItem

ARG row with Power Platform-specific fields. Arbitrary properties may exist under properties.

ResourceQueryRequest
ResourceQueryRequestOptions
ResourceQueryResponse

ResourceItem

ARG row with Power Platform-specific fields. Arbitrary properties may exist under properties.

Name Type Description
environmentId

string

environmentId1

string

environmentName

string

environmentRegion

string

environmentType

string

extendedLocation

api.powerplatform.com.power-platform.resourcequery.resourcequery.queryresources

id

string

identity

api.powerplatform.com.power-platform.resourcequery.resourcequery.queryresources

isManagedEnvironment

boolean

kind

string

location

string

managedBy

string

name

string

plan

api.powerplatform.com.power-platform.resourcequery.resourcequery.queryresources

properties

object

Free-form ARG properties bag

resourceGroup

string

sku

api.powerplatform.com.power-platform.resourcequery.resourcequery.queryresources

subscriptionId

string

tags

api.powerplatform.com.power-platform.resourcequery.resourcequery.queryresources

tenantId

string

type

string

zones

api.powerplatform.com.power-platform.resourcequery.resourcequery.queryresources

ResourceQueryRequest

Name Type Description
Clauses

Clause[]

Ordered list of query clauses; evaluated in order

Options

ResourceQueryRequestOptions

TableName

string

Target table/resource set (e.g., "PowerPlatformResources")

ResourceQueryRequestOptions

Name Type Description
Skip

integer

minimum: 0

Offset; don't include when using SkipToken

SkipToken

string

Continuation token from previous page

Top

integer

minimum: 1

Max rows per page

ResourceQueryResponse

Name Type Description
count

integer (int64)

Rows in this page

data

ResourceItem[]

ARG row with Power Platform-specific fields. Arbitrary properties may exist under properties.

resultTruncated enum:
  • 0
  • 1

0 = truncated, 1 = not truncated

skipToken

string

Continuation token for next page

totalRecords

integer (int64)

Total rows matching the query